@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap");
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background: #f3f3f3;
	font-family: 'ubuntu', sans-serif;
}

a {
	text-decoration: none;
}
#barra-navegacion {
    display: flex;
  }
  .logo {
    height: 76px;
  }
  
  nav {
    display: flex;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.6);
    width: 100vw;
    height: 76px;
  }
  
  nav ul li {
    display: inline-block;
    list-style: none;
    margin: 0px 20px;
  }
  nav ul li a {
    font-family: "Ubuntu";
    text-decoration: none;
    color: #333;
    font-weight: bold;
  }
  
  .sombra {
    box-shadow: 5px 10px 20px grey;
    position: fixed;
    z-index: 1000;
    top: 0;
    background-color: rgba(255, 255, 255, 0.8);
    margin-bottom: 100px;
  }
  
  
.contenedor {
   	width: 90%;
	max-width: 800px;
    margin: auto;
    padding-top: 100px;
}

/* ------------------------- */
/* HEADER */
/* ------------------------- */

header {
	padding: 40px 0;
}

header .logo {
	text-align: center;
	margin-bottom: 40px;
}

header .logo p {
   
	color: #9B9B9B;
}

header form {
	width: 100%;
	display: flex;
	justify-content: center;
    margin-bottom: 20px;
    margin-top: 70px;
}

header .barra-busqueda {
	width: 70%;
	height: 40px;
	line-height: 40px;
	background: #fff;
	padding: 0 20px;
	border-radius: 100px;
	border: none;
	text-align: center;
	font-size: 16px;
}

header .categorias {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
}

header .categorias a {
	color: #9B9B9B;
	margin: 10px 20px;
	font-size: 18px;
	font-weight: 700;
}

header .categorias a.activo {
	color: #000;
}

/* ------------------------- */
/* Grid */
/* ------------------------- */

.grid {
	position: relative;
	width: 100%;
	opacity: 0;
	transition: opacity 0.5s linear 1s;
}

.grid img{
	border: 5px solid black;
	border-radius: 20px;
}
.grid.imagenes-cargadas {
	opacity: 1;
}

.grid .item {
	position: absolute;
	display: block;
	padding: 0;
	margin: 10px;
	width: calc(33.333333% - 20px);
}

.grid .item-contenido {
	position: relative;
}

.grid .item img {
	width: 100%;
	cursor: pointer;
	vertical-align: top;
}

/* ------------------------- */
/* Overlay */
/* ------------------------- */
.overlay {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: rgba(0,0,0,.9);
	width: 100%;
	height: 100vh;
	display: none;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.overlay.activo {
	display: flex;
}

.overlay img {
	max-width: 100%;
}

.overlay .descripcion {
	display: block;
	background: #fff;
	padding: 20px;
	text-align: center;
	margin-top: 5px;
	border-radius: 10px;
	max-width: 50%;
}

.contenedor-img {
	position: relative;
}

.overlay #btn-cerrar-popup {
	background: none;
	font-size: 20px;
	color: #fff;
	border: none;
	cursor: pointer;
	position: absolute;
	right: -20px;
	top: -20px;
}

/* ------------------------- */
/* Footer */
/* ------------------------- */
footer .redes-sociales {
	display: flex;
	align-content: center;
	justify-content: center;
	padding: 20px;
	flex-wrap: wrap;
}

footer .redes-sociales a {
	display: block;
	width: 60px;
	height: 60px;
	background: #000;
	color: #fff;
	margin: 20px;
	text-align: center;
	border-radius: 100px;
	transition: .3s ease all;
}

footer .redes-sociales .twitter {background: #1da1f2;}
footer .redes-sociales .facebook {background: #3b5998;}
footer .redes-sociales .instagram {background: #c13584;}
footer .redes-sociales .youtube{background: red;}

footer .redes-sociales a i {
	font-size: 20px;
	line-height: 60px;
}

footer .contenedor-icono:hover a {
	animation: icono .5s ease;
}

@keyframes icono {
	from {
		transform: rotate3d(0,0,0,0);
	}
	to {
		transform: rotate3d(0,1,0, 360deg);
	}
}

footer .creado-por {
	margin-bottom: 40px;
	text-align: center;
	font-size: 14px;
	color: #c13584;
}

footer .creado-por a {color: #000;}
footer .creado-por a:hover {text-decoration: underline;}

/* ------------------------- */
/* Mediaqueries */
/* ------------------------- */
@media screen and (max-width: 700px) {
	.grid .item {
		width: calc(50% - 20px);
	}

	header .barra-busqueda {
		width: 100%;
	}

	nav{
		height: auto;
	  }
	  
		nav ul li {
		  display: block;
		}
}
